Recommended update for cloud-regionsrv-client

SUSE Recommended Update: Recommended update for cloud-regionsrv-client
Announcement ID: SUSE-RU-2019:3009-1
Rating: moderate
References: #1149528 #1152567 #1154533
Affected Products:
  • SUSE Linux Enterprise Module for Public Cloud 15-SP1
  • SUSE Linux Enterprise Module for Public Cloud 15

An update that has three recommended fixes can now be installed.

Description:

This update for cloud-regionsrv-client fixes the following issues:

  • Ignore exception if the new registration flag file does not exist but there is an attempt to remove it. (bsc#1149528)
  • Include requirement for python3-six in specfile. (bsc#1152567)
  • Adds support for repositories with different credentials files (bsc#1154533)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Public Cloud 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-SP1-2019-3009=1
  • SUSE Linux Enterprise Module for Public Cloud 15:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-2019-3009=1

Package List:

  • SUSE Linux Enterprise Module for Public Cloud 15-SP1 (noarch):
    • cloud-regionsrv-client-9.0.6-6.17.1
    • cloud-regionsrv-client-generic-config-1.0.0-6.17.1
    • cloud-regionsrv-client-plugin-azure-1.0.1-6.17.1
    • cloud-regionsrv-client-plugin-ec2-1.0.0-6.17.1
    • cloud-regionsrv-client-plugin-gce-1.0.0-6.17.1
  • SUSE Linux Enterprise Module for Public Cloud 15 (noarch):
    • cloud-regionsrv-client-9.0.6-6.17.1
    • cloud-regionsrv-client-generic-config-1.0.0-6.17.1
    • cloud-regionsrv-client-plugin-azure-1.0.1-6.17.1
    • cloud-regionsrv-client-plugin-ec2-1.0.0-6.17.1
    • cloud-regionsrv-client-plugin-gce-1.0.0-6.17.1

References: